<div>
    <sentinel-controls [controls]="topControls" (itemClicked)="onControlsAction($event)"></sentinel-controls>
    <sentinel-table [defaultSortDirection]="INIT_SORT_DIR"
                    [defaultSortName]="INIT_SORT_NAME"
                    [data]="cheatingDetections$ | async"
                    [hasError]="hasError$ | async"
                    [isLoading]="isLoading$ | async"
                    [displayedActionsCount]="4"
                    (tableLoad)="onLoadEvent($event)"
                    (rowAction)="onTableAction($event)">
                    <ng-container *sentinelRow="'stages'; template: stagesTemplate"></ng-container>
    </sentinel-table>

  <ng-template #stagesTemplate let-row>
    <kypo-stage-overview [stages]="row.element.stages"
                         [unitId]="row.element.unitId">
    </kypo-stage-overview>
  </ng-template>
</div>
